FINGER(1) | General Commands Manual | FINGER(1)

# NAME

`finger` — user information lookup program

# SYNOPSIS

`finger` | [`-8ghlmops`] [user ...] [user@host ...]

# DESCRIPTION

The `finger` utility displays information about the system users.

Options are:

`-8`
  Pass through 8-bit data. This option is intended for enabling 8-bit data output in the fingerd(8) service. Using this from the command line is dangerous, as the output data may include control characters for your terminal.
`-g`
  This option restricts the gecos output to only the users' real names.
`-h`
  When used in conjunction with the `-s` option, the name of the remote host is displayed instead of the office location and office phone.
`-l`
  Produces a multi-line format displaying all of the information described for the `-s` option as well as the user's home directory, home phone number, login shell, mail status, and the contents of the files “.forward”, “.plan” and “.project” from the user's home directory.

  If idle time is at least a minute and less than a day, it is presented in the form “hh:mm”. Idle times greater than a day are presented as “d day[s]hh:mm”.

  Phone numbers specified as eleven digits are printed as “+N-NNN-NNN-NNNN”. Numbers specified as ten or seven digits are printed as the appropriate subset of that string. Numbers specified as five digits are printed as “xN-NNNN”. Numbers specified as four digits are printed as “xNNNN”.

  If write permission is denied to the device, the phrase “(messages off)” is appended to the line containing the device name. One entry per user is displayed with the `-l` option; if a user is logged on multiple times, terminal information is repeated once per login.

  Mail status is shown as “No Mail.” if there is no mail at all, ``Mail last read DDD MMM ## HH:MM YYYY (TZ)'' if the person has looked at their mailbox since new mail arriving, or “New mail received ...”, “Unread since ...” if they have new mail.

`-m`
  Prevent matching of user names. User is usually a login name; however, matching will also be done on the users' real names, unless the `-m` option is supplied. All name matching performed by `finger` is case insensitive.
`-o`
  When used in conjunction with the `-s` option, the office location and office phone information is displayed. This is the default.
`-p`
  Prevents the `-l` option of `finger` from displaying the contents of the “.forward”, “.plan” and “.project” files.
`-s`
  `finger` displays the user's login name, real name, terminal name and write status (as a “*” after the terminal name if write permission is denied), idle time, login time, and either office location and office phone number, or the remote host. If `-h` is given, the remote is printed. If `-o` is given, the office location and phone number is printed instead (the default).

  Idle time is in minutes if it is a single integer, hours and minutes if a “:” is present, or days if a “d” is present. Login time is displayed as the dayname if less than six days, else month, day, hours and minutes, unless more than six months ago, in which case the year is displayed rather than the hours and minutes.

  Unknown devices as well as nonexistent idle and login times are displayed as single asterisks.

If no options are specified, `finger` defaults to the `-l` style output if operands are provided, otherwise to the `-s` style. Note that some fields may be missing, in either format, if information is not available for them.

If no arguments are specified, `finger` will print an entry for each user currently logged into the system.

The `finger` utility may be used to look up users on a remote machine. The format is to specify a user as “`user@host`”, or “`@host`”, where the default output format for the former is the `-l` style, and the default output format for the latter is the `-s` style. The `-l` option is the only option that may be passed to a remote machine.

# FILES

/var/run/utmpx
  The `utmpx` file.
/var/log/lastlogx
  The `lastlogx` file.
/var/run/utmp
  The `utmp` file.
/var/log/lastlog
  The `lastlog` file.

# SEE ALSO

chpass(1), w(1), who(1), fingerd(8)

# HISTORY

The `finger` command appeared in 2.0BSD.

May 7, 2020 | NetBSD 11.99